# Generated by CMake

if("${CMAKE_MAJOR_VERSION}.${CMAKE_MINOR_VERSION}" LESS 2.8)
   message(FATAL_ERROR "CMake >= 3.0.0 required")
endif()
if(CMAKE_VERSION VERSION_LESS "3.0.0")
   message(FATAL_ERROR "CMake >= 3.0.0 required")
endif()
cmake_policy(PUSH)
cmake_policy(VERSION 3.0.0...3.30)
#----------------------------------------------------------------
# Generated CMake target import file.
#----------------------------------------------------------------

# Commands may need to know the format version.
set(CMAKE_IMPORT_FILE_VERSION 1)

# Protect against multiple inclusion, which would fail when already imported targets are added once more.
set(_cmake_targets_defined "")
set(_cmake_targets_not_defined "")
set(_cmake_expected_targets "")
foreach(_cmake_expected_target IN ITEMS viskores::tbb viskores::openmp viskores::vectorization_flags viskores::compiler_flags viskores::developer_flags viskores::optionparser viskores::viskoresdiympi_nompi viskores::viskoresdiy viskores::diy_developer_flags viskores::diy viskores::lcl viskores::loguru viskores::cont viskores::worklet viskores::filter_core viskores::filter viskores::filter_clean_grid viskores::filter_connected_components viskores::filter_vector_analysis viskores::filter_mesh_info viskores::filter_multi_block viskores::filter_contour viskores::filter_geometry_refinement viskores::filter_density_estimate viskores::filter_entity_extraction viskores::filter_field_conversion viskores::filter_field_transform viskores::filter_flow viskores::filter_image_processing viskores::filter_resampling viskores::filter_scalar_topology viskores::filter_uncertainty viskores::filter_zfp viskores::lodepng viskores::io viskores::rendering viskores::rendering_gl_context viskores::source)
  list(APPEND _cmake_expected_targets "${_cmake_expected_target}")
  if(TARGET "${_cmake_expected_target}")
    list(APPEND _cmake_targets_defined "${_cmake_expected_target}")
  else()
    list(APPEND _cmake_targets_not_defined "${_cmake_expected_target}")
  endif()
endforeach()
unset(_cmake_expected_target)
if(_cmake_targets_defined STREQUAL _cmake_expected_targets)
  unset(_cmake_targets_defined)
  unset(_cmake_targets_not_defined)
  unset(_cmake_expected_targets)
  unset(CMAKE_IMPORT_FILE_VERSION)
  cmake_policy(POP)
  return()
endif()
if(NOT _cmake_targets_defined STREQUAL "")
  string(REPLACE ";" ", " _cmake_targets_defined_text "${_cmake_targets_defined}")
  string(REPLACE ";" ", " _cmake_targets_not_defined_text "${_cmake_targets_not_defined}")
  message(FATAL_ERROR "Some (but not all) targets in this export set were already defined.\nTargets Defined: ${_cmake_targets_defined_text}\nTargets not yet defined: ${_cmake_targets_not_defined_text}\n")
endif()
unset(_cmake_targets_defined)
unset(_cmake_targets_not_defined)
unset(_cmake_expected_targets)


# Compute the installation prefix relative to this file.
get_filename_component(_IMPORT_PREFIX "${CMAKE_CURRENT_LIST_FILE}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
get_filename_component(_IMPORT_PREFIX "${_IMPORT_PREFIX}" PATH)
if(_IMPORT_PREFIX STREQUAL "/")
  set(_IMPORT_PREFIX "")
endif()

# Create imported target viskores::tbb
add_library(viskores::tbb INTERFACE IMPORTED)

set_target_properties(viskores::tbb PROPERTIES
  INTERFACE_COMPILE_DEFINITIONS "TBB_VERSION_MAJOR=2022"
  INTERFACE_LINK_LIBRARIES "TBB::tbb"
)

# Create imported target viskores::openmp
add_library(viskores::openmp INTERFACE IMPORTED)

set_target_properties(viskores::openmp PROPERTIES
  INTERFACE_COMPILE_OPTIONS "\$<\$<COMPILE_LANGUAGE:CXX>:-fopenmp=libomp>"
  INTERFACE_LINK_LIBRARIES "OpenMP::OpenMP_CXX"
)

# Create imported target viskores::vectorization_flags
add_library(viskores::vectorization_flags INTERFACE IMPORTED)

set_target_properties(viskores::vectorization_flags PROPERTIES
  INTERFACE_COMPILE_OPTIONS "\$<\$<COMPILE_LANGUAGE:CXX>:>"
)

# Create imported target viskores::compiler_flags
add_library(viskores::compiler_flags INTERFACE IMPORTED)

set_target_properties(viskores::compiler_flags PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_14"
  INTERFACE_COMPILE_OPTIONS "\$<\$<COMPILE_LANGUAGE:CXX>:-ffunction-sections>"
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/viskores-1.0"
)

# Create imported target viskores::developer_flags
add_library(viskores::developer_flags INTERFACE IMPORTED)

set_target_properties(viskores::developer_flags PROPERTIES
  INTERFACE_COMPILE_OPTIONS "\$<\$<COMPILE_LANGUAGE:CXX>:-Wno-pass-failed>;\$<\$<COMPILE_LANGUAGE:CXX>:-Wall;-Wcast-align;-Wextra;-Wpointer-arith;-Wformat;-Wformat-security;-Wshadow;-Wunused;-fno-common;-Wno-unused-function;-Wconversion;-Wodr>"
)

# Create imported target viskores::optionparser
add_library(viskores::optionparser INTERFACE IMPORTED)

set_target_properties(viskores::optionparser PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/viskores-1.0/viskores/thirdparty/optionparser"
)

# Create imported target viskores::viskoresdiympi_nompi
add_library(viskores::viskoresdiympi_nompi SHARED IMPORTED)

# Create imported target viskores::viskoresdiy
add_library(viskores::viskoresdiy INTERFACE IMPORTED)

set_target_properties(viskores::viskoresdiy PROPERTIES
  INTERFACE_COMPILE_DEFINITIONS "VISKORESDIY_NO_THREADS;VISKORESDIY_MPI_AS_LIB"
  INTERFACE_COMPILE_FEATURES "cxx_std_14"
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/viskores-1.0/viskores/thirdparty/diy/viskoresdiy/include;${_IMPORT_PREFIX}/include/viskores-1.0/viskores/thirdparty/diy/viskoresdiy/include/viskoresdiy/mpi"
  INTERFACE_LINK_LIBRARIES "viskores::viskoresdiympi_nompi"
  INTERFACE_SYSTEM_INCLUDE_DIRECTORIES "include/viskores-1.0/viskores/thirdparty/diy/viskoresdiy/include;include/viskores-1.0/viskores/thirdparty/diy/viskoresdiy/include/viskoresdiy/mpi"
)

# Create imported target viskores::diy_developer_flags
add_library(viskores::diy_developer_flags INTERFACE IMPORTED)

set_target_properties(viskores::diy_developer_flags PROPERTIES
  INTERFACE_COMPILE_OPTIONS "\$<\$<COMPILE_LANGUAGE:CXX>:-Wall;-Wcast-align;-Wchar-subscripts;-Wextra;-Wpointer-arith;-Wformat;-Wformat-security;-Wshadow;-Wunused;-fno-common;-Wconversion;-Wno-sign-conversion;-Wno-sign-compare;-Wno-cast-align;-Wodr>"
)

# Create imported target viskores::diy
add_library(viskores::diy INTERFACE IMPORTED)

set_target_properties(viskores::diy PROPERTIES
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/viskores-1.0/viskores/thirdparty/diy"
  INTERFACE_LINK_LIBRARIES "viskores::viskoresdiy;viskores::viskoresdiympi_nompi"
)

# Create imported target viskores::lcl
add_library(viskores::lcl INTERFACE IMPORTED)

set_target_properties(viskores::lcl PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_11"
  INTERFACE_INCLUDE_DIRECTORIES "${_IMPORT_PREFIX}/include/viskores-1.0/viskores/thirdparty/lcl/viskoreslcl"
)

# Create imported target viskores::loguru
add_library(viskores::loguru INTERFACE IMPORTED)

set_target_properties(viskores::loguru PROPERTIES
  INTERFACE_COMPILE_FEATURES "cxx_std_11"
  INTERFACE_LINK_LIBRARIES "Threads::Threads"
)

# Create imported target viskores::cont
add_library(viskores::cont SHARED IMPORTED)

set_target_properties(viskores::cont PROPERTIES
  INTERFACE_LINK_LIBRARIES "viskores::optionparser;viskores::diy;viskores::lcl;viskores::compiler_flags;viskores::tbb;viskores::openmp;Threads::Threads"
)

# Create imported target viskores::worklet
add_library(viskores::worklet SHARED IMPORTED)

set_target_properties(viskores::worklet PROPERTIES
  INTERFACE_LINK_LIBRARIES "viskores::cont"
)

# Create imported target viskores::filter_core
add_library(viskores::filter_core SHARED IMPORTED)

set_target_properties(viskores::filter_core PROPERTIES
  INTERFACE_LINK_LIBRARIES "viskores::cont;viskores::worklet"
)

# Create imported target viskores::filter
add_library(viskores::filter INTERFACE IMPORTED)

set_target_properties(viskores::filter PROPERTIES
  INTERFACE_LINK_LIBRARIES "viskores::filter_core;viskores::filter_clean_grid;viskores::filter_connected_components;viskores::filter_vector_analysis;viskores::filter_mesh_info;viskores::filter_multi_block;viskores::filter_contour;viskores::filter_geometry_refinement;viskores::filter_density_estimate;viskores::filter_entity_extraction;viskores::filter_field_conversion;viskores::filter_field_transform;viskores::filter_flow;viskores::filter_image_processing;viskores::filter_resampling;viskores::filter_scalar_topology;viskores::filter_zfp"
)

# Create imported target viskores::filter_clean_grid
add_library(viskores::filter_clean_grid SHARED IMPORTED)

set_target_properties(viskores::filter_clean_grid PROPERTIES
  INTERFACE_LINK_LIBRARIES "viskores::filter_core"
)

# Create imported target viskores::filter_connected_components
add_library(viskores::filter_connected_components SHARED IMPORTED)

set_target_properties(viskores::filter_connected_components PROPERTIES
  INTERFACE_LINK_LIBRARIES "viskores::filter_core;viskores::filter_core"
)

# Create imported target viskores::filter_vector_analysis
add_library(viskores::filter_vector_analysis SHARED IMPORTED)

set_target_properties(viskores::filter_vector_analysis PROPERTIES
  INTERFACE_LINK_LIBRARIES "viskores::filter_core"
)

# Create imported target viskores::filter_mesh_info
add_library(viskores::filter_mesh_info SHARED IMPORTED)

set_target_properties(viskores::filter_mesh_info PROPERTIES
  INTERFACE_LINK_LIBRARIES "viskores::filter_core"
)

# Create imported target viskores::filter_multi_block
add_library(viskores::filter_multi_block SHARED IMPORTED)

set_target_properties(viskores::filter_multi_block PROPERTIES
  INTERFACE_LINK_LIBRARIES "viskores::filter_core"
)

# Create imported target viskores::filter_contour
add_library(viskores::filter_contour SHARED IMPORTED)

set_target_properties(viskores::filter_contour PROPERTIES
  INTERFACE_LINK_LIBRARIES "viskores::filter_core;viskores::filter_vector_analysis;viskores::filter_mesh_info;viskores::filter_multi_block"
)

# Create imported target viskores::filter_geometry_refinement
add_library(viskores::filter_geometry_refinement SHARED IMPORTED)

set_target_properties(viskores::filter_geometry_refinement PROPERTIES
  INTERFACE_LINK_LIBRARIES "viskores::filter_core;viskores::worklet;viskores::filter_core"
)

# Create imported target viskores::filter_density_estimate
add_library(viskores::filter_density_estimate SHARED IMPORTED)

set_target_properties(viskores::filter_density_estimate PROPERTIES
  INTERFACE_LINK_LIBRARIES "viskores::filter_core"
)

# Create imported target viskores::filter_entity_extraction
add_library(viskores::filter_entity_extraction SHARED IMPORTED)

set_target_properties(viskores::filter_entity_extraction PROPERTIES
  INTERFACE_LINK_LIBRARIES "viskores::filter_core;viskores::filter_clean_grid"
)

# Create imported target viskores::filter_field_conversion
add_library(viskores::filter_field_conversion SHARED IMPORTED)

set_target_properties(viskores::filter_field_conversion PROPERTIES
  INTERFACE_LINK_LIBRARIES "viskores::filter_core"
)

# Create imported target viskores::filter_field_transform
add_library(viskores::filter_field_transform SHARED IMPORTED)

set_target_properties(viskores::filter_field_transform PROPERTIES
  INTERFACE_LINK_LIBRARIES "viskores::filter_core;viskores::worklet;viskores::filter_core"
)

# Create imported target viskores::filter_flow
add_library(viskores::filter_flow SHARED IMPORTED)

set_target_properties(viskores::filter_flow PROPERTIES
  INTERFACE_LINK_LIBRARIES "viskores::filter_core"
)

# Create imported target viskores::filter_image_processing
add_library(viskores::filter_image_processing SHARED IMPORTED)

set_target_properties(viskores::filter_image_processing PROPERTIES
  INTERFACE_LINK_LIBRARIES "viskores::filter_core"
)

# Create imported target viskores::filter_resampling
add_library(viskores::filter_resampling SHARED IMPORTED)

set_target_properties(viskores::filter_resampling PROPERTIES
  INTERFACE_LINK_LIBRARIES "viskores::filter_core;viskores::filter_density_estimate;viskores::filter_entity_extraction"
)

# Create imported target viskores::filter_scalar_topology
add_library(viskores::filter_scalar_topology SHARED IMPORTED)

set_target_properties(viskores::filter_scalar_topology PROPERTIES
  INTERFACE_LINK_LIBRARIES "viskores::filter_core;viskores::worklet;viskores::filter_core"
)

# Create imported target viskores::filter_uncertainty
add_library(viskores::filter_uncertainty SHARED IMPORTED)

set_target_properties(viskores::filter_uncertainty PROPERTIES
  INTERFACE_LINK_LIBRARIES "viskores::filter_core"
)

# Create imported target viskores::filter_zfp
add_library(viskores::filter_zfp SHARED IMPORTED)

set_target_properties(viskores::filter_zfp PROPERTIES
  INTERFACE_LINK_LIBRARIES "viskores::filter_core"
)

# Create imported target viskores::lodepng
add_library(viskores::lodepng INTERFACE IMPORTED)

# Create imported target viskores::io
add_library(viskores::io SHARED IMPORTED)

set_target_properties(viskores::io PROPERTIES
  INTERFACE_LINK_LIBRARIES "viskores::cont"
)

# Create imported target viskores::rendering
add_library(viskores::rendering SHARED IMPORTED)

set_target_properties(viskores::rendering PROPERTIES
  INTERFACE_LINK_LIBRARIES "viskores::filter_image_processing;viskores::filter_entity_extraction;viskores::io"
)

# Create imported target viskores::rendering_gl_context
add_library(viskores::rendering_gl_context INTERFACE IMPORTED)

set_target_properties(viskores::rendering_gl_context PROPERTIES
  INTERFACE_LINK_LIBRARIES "OpenGL::GL;OpenGL::GLU;GLEW::GLEW"
)

# Create imported target viskores::source
add_library(viskores::source SHARED IMPORTED)

set_target_properties(viskores::source PROPERTIES
  INTERFACE_LINK_LIBRARIES "viskores::cont;viskores::filter_field_conversion;viskores::filter_multi_block"
)

# Load information for each installed configuration.
file(GLOB _cmake_config_files "${CMAKE_CURRENT_LIST_DIR}/ViskoresTargets-*.cmake")
foreach(_cmake_config_file IN LISTS _cmake_config_files)
  include("${_cmake_config_file}")
endforeach()
unset(_cmake_config_file)
unset(_cmake_config_files)

# Cleanup temporary variables.
set(_IMPORT_PREFIX)

# Loop over all imported files and verify that they actually exist
foreach(_cmake_target IN LISTS _cmake_import_check_targets)
  if(CMAKE_VERSION VERSION_LESS "3.28"
      OR NOT DEFINED _cmake_import_check_xcframework_for_${_cmake_target}
      OR NOT IS_DIRECTORY "${_cmake_import_check_xcframework_for_${_cmake_target}}")
    foreach(_cmake_file IN LISTS "_cmake_import_check_files_for_${_cmake_target}")
      if(NOT EXISTS "${_cmake_file}")
        message(FATAL_ERROR "The imported target \"${_cmake_target}\" references the file
   \"${_cmake_file}\"
but this file does not exist.  Possible reasons include:
* The file was deleted, renamed, or moved to another location.
* An install or uninstall procedure did not complete successfully.
* The installation package was faulty and contained
   \"${CMAKE_CURRENT_LIST_FILE}\"
but not all the files it references.
")
      endif()
    endforeach()
  endif()
  unset(_cmake_file)
  unset("_cmake_import_check_files_for_${_cmake_target}")
endforeach()
unset(_cmake_target)
unset(_cmake_import_check_targets)

# This file does not depend on other imported targets which have
# been exported from the same project but in a separate export set.

# Commands beyond this point should not need to know the version.
set(CMAKE_IMPORT_FILE_VERSION)
cmake_policy(POP)
